{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    {{ media }}
    {{ form.media }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}"/>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="javascript:window.close()">{% trans "Cerrar" %}</a> &rsaquo;
    </div>
{% endblock %}

{% block title %} {% trans 'Intranet de Docentes UDL' %} {% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}

    <form action="" method="POST">{% csrf_token %}

        <fieldset class="module">
            <h2>Asistencia al Grupo {{ periodocurso.Grupo|escape }} - {{ periodocurso.Curso.Nombre|escape }}
                - {{ periodocurso.Curso.Carrera.Carrera|escape }}</h2>
            <div class="form-row">
                <div class="field-box">
                    {{ form.Fecha.errors }}
                    {{ form.Fecha.label_tag }}:
                    {{ form.Fecha }}
                </div>
            </div>
            <div class="form-row">
                <div class="field-box">
                    Horario:
                    <SELECT NAME="horario" SIZE=1>
                        {% for horario in horarios %}
                            <OPTION VALUE="{{ horario.id }}" {% ifequal horario.id horario_elegido.id %}
                                    selected {% endifequal %}>{{ horario.Etiqueta }}</OPTION>
                        {% endfor %}
                    </SELECT>
                </div>
                <div class="field-box">
                    {{ form.PeriodoCurso }}
                </div>
            </div>
        </fieldset>

        <div id="content-main">
            <h2>Asistencia al Grupo {{ periodocurso.Grupo|escape }} - {{ periodocurso.Curso.Nombre|escape }}
                - {{ periodocurso.Curso.Carrera.Carrera|escape }}</h2>
            {% block result_list %}
                <div class="module aligned" id="changelist">
                    {% if alumnos %}
                        <table>
                            <THEAD>
                            <TH>Nº</TH>
                            <TH>Alumno</TH>
                            <TH>Estado</TH>
                            </THEAD>
                            <TBODY>
                            {% for alumno in alumnos %}
                                <TR class="{% cycle 'row1' 'row2' %}">
                                    <TD>{{ forloop.counter }}</TD>
                                    <TD>{{ alumno.MatriculaCursos.MatriculaCiclo.Alumno|escape }}</TD>
                                    <TD>
                                        <SELECT NAME="{{ alumno.id }}" SIZE=1>
                                            <OPTION VALUE="Asistio" {% ifequal alumno.Estado "Asistio" %}
                                                    selected {% endifequal %}>Asistió
                                            </OPTION>
                                            <OPTION VALUE="Falto" {% ifequal alumno.Estado "Falto" %}
                                                    selected {% endifequal %}>Faltó
                                            </OPTION>
                                            <OPTION VALUE="Tardanza" {% ifequal alumno.Estado "Tardanza" %}
                                                    selected {% endifequal %}>Tardanza
                                            </OPTION>
                                            <OPTION VALUE="Justifico" {% ifequal alumno.Estado "Justifico" %}
                                                    selected {% endifequal %}>Justificó
                                            </OPTION>
                                        </SELECT>
                                    </TD>
                                </TR>
                            {% endfor %}
                            </TBODY>
                        </table>
                        </div>
                    {% endif %}
            {% endblock %}
        </div>
        <div class="submit-row">
            <input class="default" type="submit" value="Grabar Asistencia"/>
        </div>
    </form>
{% endblock %}
